package com.convertlab.dmhubsdk;

import android.os.Handler;
import android.os.Looper;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.embedding.engine.plugins.activity.ActivityAware;
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;

/** DmhubsdkPlugin */
public class DmhubsdkPlugin implements FlutterPlugin {

  static final Handler handler = new Handler(Looper.getMainLooper());

  public DmhubsdkPlugin(){}

  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
    final MethodChannel channel = new MethodChannel(flutterPluginBinding.getBinaryMessenger(), "dmhubsdk");
    channel.setMethodCallHandler(new DMHubClientWrapper(flutterPluginBinding,"dmhubsdk"));
  }
  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
      //channel.setMethodCallHandler(null);
  }
}
