class DMHubError {
  DMHubError._private([this._code, this._description]);

  int? _code = 0;
  String? _description;

  get code {
    return _code;
  }

  get description {
    return _description;
  }

  factory DMHubError.fromJson(Map map) {
    return DMHubError._private()
      .._code = map['code']
      .._description = map['description'];
  }

  static hasErrorFromResult(Map map) {
    if (map['error'] == null) {
      return;
    } else {
      try {
        throw (DMHubError.fromJson(map['error']));
      } on Exception {}
    }
  }

  @override
  String toString() {
    return "code: " + _code.toString() + " desc: " + _description!;
  }
}
