//
//  DMHubWrapper.h
//  dmhubsdk
//
//  Created by macroswang on 2022/01/08.
//
#import <Flutter/Flutter.h>

NS_ASSUME_NONNULL_BEGIN

#define DMHubChannelName(name) [NSString stringWithFormat:@"com.convertlab.dmhub/%@", name]

@interface DMHubWrapper : NSObject <FlutterPlugin>
@property(nonatomic, strong) FlutterMethodChannel *channel;
@property(nonatomic, strong) NSObject<FlutterPluginRegistrar> *flutterPluginRegister;

- (instancetype)initWithChannelName:(NSString *)channelName
                          registrar:(NSObject<FlutterPluginRegistrar> *)registrar;

- (void)wrapperCallBack:(FlutterResult)result
            channelName:(NSString *)channelName
                 object:(NSObject *__nullable)aObj;

@end

NS_ASSUME_NONNULL_END
